package com.ims.eval.controller;


import com.ims.eval.entity.dto.result.R;
import com.ims.eval.service.IEvaluationWarningRuleService;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;

import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author wang
 * @since 2023-05-19
 */
@RestController
@RequestMapping("//evaluation/warning/rule")
public class EvaluationWarningRuleController {

	@Autowired
	private IEvaluationWarningRuleService warningRuleService;

	@ApiOperation(value = "考评预警规则")
	@GetMapping(value = "list")
	public R EvaluationWarningRuleList(
		@RequestParam(value = "binSection", required = false) String binSection, //业务板块
		@RequestParam(value = "ruleName", required = false) String ruleName) { //业务阶段
		Map<String, Object> map = warningRuleService.warningRuleList(binSection, ruleName);
		return R.ok().data(map);
	}
}
